Why is Java not updated to the latest version in Red Hat Satellite channels?

Solution Verified - Updated -

Issue

  • Why are the Java packages in Red Hat Satellite channels not the latest version like in Red Hat Enterprise Linux Supplementary channel?
  • Getting alerts from security audits because the version of Java included in Red Hat Satellite 5.X has several security flaws.
  • Why is the latest security errata for java-1.6.0-ibm in Red Hat Satellite channel only RHSA-2015:1486 when there are many newer RHSA for the same rpm in supplementary channel (ie. RHSA-2016:0101 or RHSA-2016-0708)?

Environment

  • Red Hat Satellite 5.x (current supported versions)

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In